package com.clx.performance.service;

import com.clx.performance.model.OrderChild;
import com.clx.performance.model.OrderChildLog;

import java.util.List;

public interface OrderChildLogService {

    void saveOrderChildLog(String childNo, Integer type, String remark,
                           Integer createType,Long createBy, String createName);
    void saveDriverOrderChildLog(String childNo, Integer type, String remark, Long createBy, String createName);

    List<OrderChildLog> getOrderChildNodeLog(String childNo);
    void saveCarrierOrderChildLog(String childNo, Integer type, String remark, Long createBy, String createName);

    void saveBatchOrderChildLog(List<OrderChildLog> logs);

}
